<?
$sub_menu = "";
include_once("./_common.php");

if(!$is_admin) exit;

//-- KCP 환경 변수 업데이트 ------------------------------------------------------------------------------
if($mode == "update") {
	$sw_error		= 1;
	$sw_logo_del	= 0;
	$msg_error		= "";

	//-- 무결성 체크
	if(!$kcp_plugin) {
		$sw_error	= 0;
		$msg_error	= "플러그인이 선택되지 않았습니다.";
	}
	if(!$kcp_test_id && !$kcp_real_id) {
		$sw_error	= 0;
		$msg_error	= "가맹점 아이디가 없습니다.";
	}

	//-- 로고 업로드
	$tmp_name	= $_FILES['kcp_site_logo']['tmp_name'];
	$name		= $_FILES['kcp_site_logo']['name'];

	if($name) {
		$upload_path	= $g4[path] . "/data/zm.exp";
		$imgsize		= @getimagesize($tmp_name);
		if($imgsize[0] <= 150 && $imgsize[1] <= 50) {
			$res	= zm_imgupload("$name", "$tmp_name", "$upload_path");
			$site_logo_url	= $g4[url] . "/data/zm.exp/" . $res[savename];					//-- 로고 이미지가 있는 절대경로
			$sw_logo_del	= 1;															//-- 기존 이미지는 삭제
		}else{
			$sw_error	= 0;
			$msg_error	= "사이트 로고 이미지가 규격에 맞지 않습니다. 150 × 50";
		}
	}else{
		$site_logo_url	= $zm_config[kcp_site_logo];
	}

	if(!$sw_error) { alert("$msg_error", "./kcp_start.php"); exit; }

	if($sw_logo_del || $kcp_site_logo_del) {
		$tmp	= explode("/", "$zm_config[kcp_site_logo]");
		@unlink($g4[path] . "/data/zm.exp/" . $tmp[count($tmp)-1]);							//-- 기존 로고 이미지 삭제
		if($kcp_site_logo_del) $site_logo_url	= "";
	}

	//-- 테이블 기록
	if($kcp_afilliate_use == "real" && $kcp_site_key_input) $kcp_site_key = $kcp_site_key_input;
	if($kcp_afilliate_use == "test") $kcp_site_key	= "";

	$kcp_config	= array(
		array("결제 방법",			"kcp_pay_way",			"$kcp_pay_way"),				//-- 기본 값은 에스크로 결제
		array("테스트 유무",			"kcp_afilliate_use",	"$kcp_afilliate_use"),			//-- test:테스트, real:실사용
		array("테스트 아이디",		"kcp_test_id",			"$kcp_test_id"),
		array("실사용 아이디",		"kcp_real_id",			"$kcp_real_id"),
		array("사이트 이름",			"kcp_site_name",		"$kcp_site_name"),
		array("사이트 로고",			"kcp_site_logo",		"$site_logo_url"),
		array("결제창 스킨",			"kcp_skin_type",		"$kcp_skin_type"),
		array("사이트 키",			"kcp_site_key",			"$kcp_site_key"),				//-- 기본 값은 테스트용 사이트 키
		array("플러그인",				"kcp_plugin",			"$kcp_plugin"),
		array("최대 할부개월",		"kcp_quotaopt",			"$kcp_quotaopt"),
		array("복지카드 코드",		"kcp_pt_memcorp_cd",	"$kcp_pt_memcorp_cd"),
		array("OK캐쉬백 사용유무",	"kcp_save_ocb",			"$kcp_save_ocb"),
		array("신용카드결제종류",		"kcp_complex_pnt_yn",	"$kcp_complex_pnt_yn"),
		array("현금영수증출력",		"kcp_disp_tax_yn",		"$kcp_disp_tax_yn")
	);

	for($i = 0; $i < count($kcp_config); $i++) {
		sql_query("update $zmb[table_config] set db_value='{$kcp_config[$i][2]}' where db_variable='{$kcp_config[$i][1]}'");
	}

	zm_gourl("./kcp_start.php");
}

//-- KCP 결제 결과 삭제 ---------------------------------------------------------------------------------
if($mode == "del") {
	$sql	= "delete from zm_kcp_history where db_recno='$recno'";
	sql_query($sql);

	zm_gourl("./kcp_pay_list.php?goPageNo=$goPageNo");
}

//-- KCP 결제 결과 모두 삭제 ------------------------------------------------------------------------------
if($mode == "alldel") {
	$sql	= "delete from zm_kcp_history";
	sql_query($sql);

	zm_gourl("./kcp_pay_list.php");
}
?>